<?php
/**
	Template Name: page-recentOnemonthPostedPopular
 */

get_header(); ?>

<div id="main-content" class="main-content">

<?php
	if ( is_front_page() && twentyfourteen_has_featured_posts() ) {
		// Include the featured content template.
		get_template_part( 'featured-content' );
	}
?>
	<div id="primary" class="content-area">
		<div id="content" class="site-content" role="main">

<div id="divMostReadPosts">
<?php 
	$strArgs = 'days=-1&limit=-1';
	$oneMonthBefore = date("Y-m-d",strtotime("-1 month")).' 00:00:00';

	$top_posts = stats_get_csv('postviews', $strArgs);
	if ( $top_posts) : ?>
	<h2><i class="fa fa-smile-o" style="font-size:24px;margin-right:5px;"></i>過去1ヶ月(<?php echo date("Y-m-d",strtotime("-1 month")). '～'.date("Y-m-d");?>)の投稿 読まれた順表示</h2>
	<ul>
<?php
		$i = 0;

		foreach ( $top_posts as $p ) : ?>
		<?php
		$postValue = get_post($p['post_id']);
		if(($postValue->post_date > $oneMonthBefore) AND ($p['post_title'] != 'Home page') AND ($postValue->post_type != 'page')){
			$i++;
?>
		<li style="list-style-type:none"><?php echo $i;?>. <a href="<?php echo $p['post_permalink']; ?>"><?php echo $p['post_title']; ?></a> (<?php echo $p['views']; ?> views <?php echo substr($postValue->post_date, 0, 10);?>)
</li>
<?php
		}
?>
<?php endforeach; ?>
	</ul>
<?php endif; ?>
</div>
		</div><!-- #content -->
	</div><!-- #primary -->
	<?php get_sidebar( 'content' ); ?>
</div><!-- #main-content -->

<?php
get_sidebar();
get_footer();
